io.vertx.rxjava3.ext.web.validation

## Class RequestParameter

- java.lang.Object
- - io.vertx.rxjava3.ext.web.validation.RequestParameter

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class RequestParameter
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Request parameter holder

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestParameter>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestParameter(Object delegate)`
    `RequestParameter(RequestParameter delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RequestParameter` | `create(Object value)`
    `boolean` | `equals(Object o)`
    `Object` | `get()`
    `Boolean` | `getBoolean()`
    `Buffer` | `getBuffer()`
    `RequestParameter` | `getDelegate()`
    `Double` | `getDouble()`
    `Float` | `getFloat()`
    `Integer` | `getInteger()`
    `JsonArray` | `getJsonArray()`
    `JsonObject` | `getJsonObject()` Returns null if value is not a , otherwise it returns value
    `Long` | `getLong()`
    `String` | `getString()`
    `int` | `hashCode()`
    `boolean` | `isBoolean()`
    `boolean` | `isBuffer()`
    `boolean` | `isEmpty()`
    `boolean` | `isJsonArray()`
    `boolean` | `isJsonObject()`
    `boolean` | `isNull()`
    `boolean` | `isNumber()`
    `boolean` | `isString()`
    `static RequestParameter` | `newInstance(RequestParameter arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestParameter> __TYPE_ARG

  - ### Constructor Detail

    - #### RequestParameter

          public RequestParameter(RequestParameter delegate)

    - #### RequestParameter

          public RequestParameter(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public RequestParameter getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getString

          public String getString()

      Returns:
        null if value is not a `String`, otherwise it returns value

    - #### isString

          public boolean isString()

      Returns:
        true if value of this instance is a `String` instance

    - #### getInteger

          public Integer getInteger()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Integer`

    - #### getLong

          public Long getLong()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Long`

    - #### getFloat

          public Float getFloat()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Float`

    - #### getDouble

          public Double getDouble()

      Returns:
        null if value is not a `Number`, otherwise it returns value as `Double`

    - #### isNumber

          public boolean isNumber()

      Returns:
        true if value of this instance is a `Number` instance

    - #### getBoolean

          public Boolean getBoolean()

      Returns:
        null if value is not a `Boolean`, otherwise it returns value

    - #### isBoolean

          public boolean isBoolean()

      Returns:
        true if value of this instance is a `Boolean` instance

    - #### getJsonObject

          public JsonObject getJsonObject()

      Returns null if value is not a , otherwise it returns value
      Returns:

    - #### isJsonObject

          public boolean isJsonObject()

      Returns:
        true if value of this instance is a instance

    - #### getJsonArray

          public JsonArray getJsonArray()

      Returns:
        null if value is not a , otherwise it returns value

    - #### isJsonArray

          public boolean isJsonArray()

      Returns:
        true if value of this instance is a instance

    - #### getBuffer

          public Buffer getBuffer()

      Returns:
        null if value is not a , otherwise it returns value

    - #### isBuffer

          public boolean isBuffer()

      Returns:
        true if value of this instance is a instance

    - #### isNull

          public boolean isNull()

      Returns:
        true if value is null

    - #### isEmpty

          public boolean isEmpty()

      Returns:
        True if it's an empty string, an empty json object/array, an empty buffer or it's null

    - #### get

          public Object get()

      Returns:
        the internal value. The internal value is always a valid Vert.x JSON type

    - #### create

          public static RequestParameter create(Object value)

    - #### newInstance

          public static RequestParameter newInstance(RequestParameter arg)

Copyright © 2025 Eclipse. All rights reserved.